#include <stdio.h>
#include "I2C/MyI2C.h"
#include "OLED/Display.h"
#include "freertos/FreeRTOS.h"
#include "freertos/task.h"
#include "esp_system.h"

void app_main(void)
{
    ESP_LOGI("Main->", "Initting...\n");
    MyI2C_init();
    ESP_LOGI("Main->","OLED Initting...\n");
    OLED_Init();

    for (int i = 10; i >= 0; i--) {
        ESP_LOGI("Main->","Restarting in %d seconds...\n", i);
        vTaskDelay(1000 / portTICK_PERIOD_MS);
    }
    ESP_LOGI("Main->","Restarting now.\n");
    fflush(stdout);
    esp_restart();
}
